Dir.glob('./lib/calc_method/*').each{|i| require i }

class TaxUtil
  def self.calculate(gross_amount, calc_method={method: :default})
    self.const_get(classify(calc_method[:method])).new(gross_amount).calculate
  end

  private
    def self.classify(symbol_name)
      "CalcMethod::#{symbol_name.to_s.split('_').map{|name_part| (name_part[0] = name_part[0].upcase!) ; name_part }.join('')}"
    end
end
